//code made by Farah Amri

#include <LiquidCrystal.h>
#include <Servo.h>  

Servo waterReservoir; //declareren van de naam van de servo
int servoPin = 9;
int moistPin = 0;
int moistVal = 0;
int tooDry = 176.6; // 20% van 883
int tooWet = 706.4; // 80% van 883

int redPin = 13;
int greenPin = 11;
int bluePin = 12;

LiquidCrystal lcd = LiquidCrystal(2, 3, 4, 5, 6, 7);

void setup()
{
  Serial.begin(9600);
  waterReservoir.attach(servoPin); 
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  lcd.begin(16,2); //dimensies van de LCD
}

void loop()
{
  moistVal = analogRead(moistPin);
  Serial.println(moistVal);
 
  if (moistVal <= tooDry){
      Serial.print("this plant needs water");
      digitalWrite(redPin,HIGH);
      digitalWrite(greenPin,LOW);
      digitalWrite(bluePin,LOW); 
      lcd.setCursor(2, 0);
      lcd.print("this plant");
      lcd.setCursor(2, 1);
      lcd.print("is thirsty");
      delay(10000);
      lcd.clear();
      waterReservoir.write(180);
      lcd.print("watering...");
      delay(10*1000);
      lcd.clear();
      waterReservoir.write(10);
    }
  else if (moistVal >= tooWet){
      Serial.print("this plant is overwatered!");
      digitalWrite(redPin,LOW);
      digitalWrite(greenPin,LOW);
      digitalWrite(bluePin,HIGH);
      lcd.setCursor(2, 0);
      lcd.print("this plant");
      lcd.setCursor(2, 1);
      lcd.print("is drowning");
      delay(10000);
      lcd.clear();
    }
  else{
      Serial.print("this plant is not thirsty");
      digitalWrite(redPin,LOW);
      digitalWrite(greenPin,HIGH);
      digitalWrite(bluePin,LOW);
      lcd.setCursor(2, 0);
      lcd.print("this plant");
      lcd.setCursor(2, 1);
      lcd.print("is happy");
      delay(10000);
      lcd.clear();
    }

  delay(250); // for stability 
}
